SATA_LINK_RESUME(9)

NAME
sata_link_resume - resume SATA link

SYNOPSIS

int sata_link_resume(struct ata_link * link, const unsigned long * params, unsigned long deadline);

ARGUMENTS

link
    ATA link to resume SATA

params
    timing parameters { interval, duratinon, timeout } in msec

deadline
    deadline jiffies for the operation

DESCRIPTION

Resume SATA phy link and debounce it.

LOCKING

Kernel thread context (may sleep)

RETURNS

0 on success, -errno on failure.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT